<?php
/*
Template Name: Homepage
*/
get_header(); global $dirname;


// Page ID

$page_id = get_the_id();


// Categories

if(get_post_meta($page_id, '_'.$dirname.'_cats', true)) { 
	if(function_exists('woocommerce_content')) { $product_cats = array('taxonomy' => 'product_cat', 'terms' => explode(',', get_post_meta($page_id, '_'.$dirname.'_cats', true)), 'field' => 'id'); } else { $product_cats = null; }	
	$slide_cats = array('taxonomy' => 'slide_categories', 'terms' => explode(',', get_post_meta($page_id, '_'.$dirname.'_cats', true)), 'field' => 'slug');
	$post_cats = array('taxonomy' => 'category', 'terms' => explode(',', get_post_meta($page_id, '_'.$dirname.'_cats', true)), 'field' => 'slug');
} else {
	$product_cats = null;
	$slide_cats = null;
	$post_cats = null;
}


// IDs

if(get_post_meta($page_id, '_'.$dirname.'_ids', true)) { 
	$ids = explode(',', get_post_meta($page_id, '_'.$dirname.'_ids', true));
} else {
	$ids = null;
}


// Slider Query	

$args = array(
	'post_type' => explode(',', get_post_meta($page_id, '_'.$dirname.'_post_types', true)),
	'tax_query' => array('relation' => 'OR', $slide_cats, $post_cats, $product_cats),	
	'post__in' => get_post_meta($page_id, '_'.$dirname.'_ids', true),
	'ignore_sticky_posts' => 1,
	'orderby' => get_post_meta($page_id, '_'.$dirname.'_orderby', true),
	'order' => get_post_meta($page_id, '_'.$dirname.'_order', true),
	'paged' => 1,
	'posts_per_page' => get_post_meta($page_id, '_'.$dirname.'_per_page', true)
);

$featured_query = new wp_query($args); if ($featured_query->have_posts()) : ?>


	<!-- BEGIN SLIDER WRAPPER -->

	<div id="homepage-slider" class="slider">


		<!-- BEGIN SLIDER -->

		<ul class="slides-container">


			<?php while ($featured_query->have_posts()) : $featured_query->the_post(); ?>


				<li class="slide">


					<!-- BEGIN CAPTION -->
	
					<?php if(get_post_meta(get_the_id(), '_'.$dirname.'_title', true) == "Show" OR $post->post_content) { ?>
		
						<div class="caption <?php echo get_post_meta(get_the_id(), '_'.$dirname.'_caption_position', true); ?> <?php echo get_post_meta(get_the_id(), '_'.$dirname.'_caption_style', true); ?>">
		
		
							<!-- BEGIN TITLE -->

							<?php if(get_post_meta($page_id, '_'.$dirname.'_caption_title', true) == "Show") { ?><?php if(get_post_meta(get_the_id(), '_'.$dirname.'_title', true) == "Show") { ?><h2><?php echo gp_the_title_limit(get_post_meta($page_id, '_'.$dirname.'_title_length', true)); ?></h2><?php } ?><?php } ?>
							
							<!-- END TITLE -->
			
										
							<!-- BEGIN ENTRY CONTENT -->

							<?php if(get_post_meta($page_id, '_'.$dirname.'_content_display', true) == "Full Content") { ?>	

								<?php global $more; $more = 0; the_content('Read More &raquo;'); ?>
	
							<?php } else { ?>

								<?php if(get_post_meta($page_id, '_'.$dirname.'_excerpt_length', true) != "0") { ?><p><?php echo excerpt(get_post_meta($page_id, '_'.$dirname.'_excerpt_length', true)); ?></p><?php } ?>
	
							<?php } ?>

							<!-- END ENTRY CONTENT -->
		
		
						</div>
	
					<?php } ?>
	
					<!-- END CAPTION -->


					<!-- BEGIN FEATURED IMAGE -->
		
					<?php if(has_post_thumbnail()) { ?>
	
						<?php if(get_post_meta(get_the_id(), '_'.$dirname.'_custom_url', true) OR get_post_meta(get_the_id(), '_'.$dirname.'_link_type', true) != "None") { ?>
						<a href="<?php if(get_post_meta(get_the_id(), '_'.$dirname.'_link_type', true) == "Lightbox") { if(get_post_meta(get_the_id(), '_'.$dirname.'_custom_url', true)) { echo get_post_meta(get_the_id(), '_'.$dirname.'_custom_url', true); } else { echo wp_get_attachment_url(get_post_thumbnail_id(get_the_id())); }} else { if(get_post_meta(get_the_id(), '_'.$dirname.'_custom_url', true)) { echo get_post_meta(get_the_id(), '_'.$dirname.'_custom_url', true); } else { the_permalink(); }} ?>" title="<?php the_title(); ?>"<?php if(get_post_meta(get_the_id(), '_'.$dirname.'_link_type', true) == "Lightbox") { ?>class="prettyphoto" rel="prettyPhoto[homepage<?php the_ID(); ?>]"<?php } ?>>
						<?php } ?>
								
							<?php the_post_thumbnail('full'); ?>
	
						<?php if(get_post_meta(get_the_id(), '_'.$dirname.'_custom_url', true) OR  get_post_meta(get_the_id(), '_'.$dirname.'_link_type', true) != "None") { ?></a><?php } ?>	

					<?php } ?>
								
					<!-- END FEATURED IMAGE -->


				</li>


			<?php endwhile; ?>


		</ul>

		<!-- END SLIDER -->


	</div>

	<!-- END SLIDER WRAPPER -->


	<?php

	// Load Scripts

	wp_enqueue_script('gp-superslides');		
	wp_enqueue_script('gp-easing');
	wp_enqueue_script('gp-animate-enhanced');
	wp_enqueue_script('gp-touchswipe');

	?>

	<script>
	jQuery(window).load(function(){

		"use strict";
		
		jQuery("#homepage-slider").superslides({
			animation: 'fade',
			animation_easing: 'swing',
			animation_speed: 1000,
			play: <?php if(get_post_meta($page_id, '_'.$dirname.'_timeout', true) == 0) { echo "false"; } else { echo get_post_meta($page_id, '_'.$dirname.'_timeout', true)*1000; } ?>,		
			pagination: <?php if(get_post_meta($page_id, '_'.$dirname.'_buttons', true) == "Show") { ?>true<?php } else { ?>false<?php } ?>
		});
	
		// TouchSwipe
		
		jQuery("#homepage-slider").swipe({
			swipeLeft:function() {
				jQuery('#homepage-slider').superslides('animate', 'next');
			},
			swipeRight:function() {
				jQuery('#homepage-slider').superslides('animate', 'prev');
			},
			allowPageScroll: 'vertical',
			threshold: 75,
			triggerOnTouchEnd: false
		});

	});

	</script>
	

<?php endif; wp_reset_query(); ?>

<?php get_footer(); ?>