<?php


/////////////////////////////////////// Custom Styling ///////////////////////////////////////


// Convert hex codes to rgb

function hex2rgb($hex) {
	$hex = str_replace("#", "", $hex);	
	if(strlen($hex) == 3) {
		$r = hexdec(substr($hex,0,1).substr($hex,0,1));
		$g = hexdec(substr($hex,1,1).substr($hex,1,1));
		$b = hexdec(substr($hex,2,1).substr($hex,2,1));
		$rgb = array($r, $g, $b);
		return implode(",", $rgb);
	} elseif(strlen($hex) > 3) {
		$r = hexdec(substr($hex,0,2));
		$g = hexdec(substr($hex,2,2));
		$b = hexdec(substr($hex,4,2));
		$rgb = array($r, $g, $b);
		return implode(",", $rgb);
	} else {}
}


// Custom Body Classes

add_filter('body_class', 'gp_body_classes');
function gp_body_classes($classes) {
	global $dirname, $gp_settings;
	$classes[] = $gp_settings['layout'];
	if(is_singular() && !is_page_template('homepage.php')) { $classes[] = 'gp-singular'; }
	$classes[] = get_option($dirname.'_fixed_header');
	$classes[] = get_option($dirname.'_fixed_footer');
	if(isset($gp_settings['breadcrumbs']) && $gp_settings['breadcrumbs'] == 'Show') { $classes[] = 'woocommerce-breadcrumbs'; }
	return $classes;
}


// Custom CSS

global $dirname;
$custom_css = "";

	
// Header

if(get_option($dirname.'_header_bg_color')) {		
	$custom_css .= '#header, #header #megaMenu ul.megaMenu li.menu-item a span.uber-close, #header #megaMenu ul.megaMenu li.menu-item span.um-anchoremulator span.uber-close {background: rgb('.hex2rgb(get_option($dirname.'_header_bg_color')).'); background: rgba('.hex2rgb(get_option($dirname.'_header_bg_color')).','.(get_option($dirname.'_header_opacity')/100).');}';
}

if(get_option($dirname.'_header_top_border_color')) {		
	$custom_css .= '#header {border-top-color: '.get_option($dirname.'_header_top_border_color').';}';
}

if(get_option($dirname.'_header_bottom_border_color')) {		
	$custom_css .= '#header {border-bottom-color: '.get_option($dirname.'_header_bottom_border_color').';}';
}	


// Navigation

if(get_option($dirname.'_nav_font')) {		
	$custom_css .= '#header .nav {font-family: '.get_option($dirname.'_nav_font').';}';
}	

if(get_option($dirname.'_nav_text_size')) {		
	$custom_css .= '#header .nav, #header #megaMenu ul.megaMenu > li.menu-item > a {font-size: '.get_option($dirname.'_nav_text_size').'px;}';
}	

if(get_option($dirname.'_nav_link_color')) {		
	$custom_css .= '#header .nav .menu > li > a, #header #megaMenu ul.megaMenu > li.menu-item > a, #header #megaMenu ul.megaMenu li.menu-item.mega-with-sub > a:after, #header #megaMenu ul.megaMenu li.menu-item.ss-nav-menu-mega > a:after, #header #megaMenu ul.megaMenu li.menu-item.mega-with-sub > span.um-anchoremulator:after, #header #megaMenu ul.megaMenu li.menu-item.ss-nav-menu-mega > span.um-anchoremulator:after {color: '.get_option($dirname.'_nav_link_color').'; border-top-color: '.get_option($dirname.'_nav_link_color').';}';
}		

if(get_option($dirname.'_nav_link_hover_color')) {		
	$custom_css .= '#header #megaMenu ul.megaMenu > li.menu-item.current-menu-item > a, #header #megaMenu ul.megaMenu > li.menu-item.current-menu-parent > a, #header #megaMenu ul.megaMenu > li.menu-item.current-menu-ancestor > a, #header .nav .menu > li > a:hover, #header #megaMenu ul.megaMenu > li.menu-item:hover > a, #header #megaMenu ul.megaMenu > li.menu-item > a:hover, #header #megaMenu ul.megaMenu > li.menu-item.megaHover > a, #header #megaMenu ul.megaMenu > li.menu-item:hover > span.um-anchoremulator, #header #megaMenu ul.megaMenu > li.menu-item > span.um-anchoremulator:hover, #header #megaMenu ul.megaMenu > li.menu-item.megaHover > span.um-anchoremulator, #header #megaMenu ul.megaMenu li.menu-item.ss-nav-menu-highlight > a, #header #megaMenu ul.megaMenu li.menu-item.ss-nav-menu-highlight > span.um-anchoremulator, html #header .dropdowncart.menu > li > a.cart-button {color: '.get_option($dirname.'_nav_link_hover_color').';}';
}		

if(get_option($dirname.'_nav_dropdown_text_size')) {		
	$custom_css .= '#header .sub-menu a, #header #megaMenu ul li.menu-item.ss-nav-menu-mega ul ul.sub-menu li.menu-item > a, #header #megaMenu ul li.menu-item.ss-nav-menu-mega ul.sub-menu-1 > li.menu-item > a {font-size: '.get_option($dirname.'_nav_dropdown_text_size').'px;}';
}		

if(get_option($dirname.'_nav_dropdown_text_color')) {		
	$custom_css .= '#header .dropdowncart .sub-menu li  {color: '.get_option($dirname.'_nav_dropdown_text_color').' !important;}';
}	
	
if(get_option($dirname.'_nav_dropdown_link_color')) {		
	$custom_css .= '#header .sub-menu a, #header #megaMenu ul li.menu-item.ss-nav-menu-mega ul ul.sub-menu li.menu-item > a, #header #megaMenu ul li.menu-item.ss-nav-menu-mega ul.sub-menu-1 > li.menu-item > a, html #header .dropdowncart .sub-menu li {color: '.get_option($dirname.'_nav_dropdown_link_color').'; border-color: '.get_option($dirname.'_nav_dropdown_link_color').';}';
}			

if(get_option($dirname.'_nav_dropdown_link_hover_color')) {		
	$custom_css .= '#header .sub-menu a:hover, #header #megaMenu ul li.menu-item.ss-nav-menu-mega ul ul.sub-menu li.menu-item > a:hover, #header #megaMenu ul.megaMenu li.menu-item a span.uber-close, #header #megaMenu ul.megaMenu li.menu-item span.um-anchoremulator span.uber-close {color: '.get_option($dirname.'_nav_dropdown_link_hover_color').';}';
}	

if(get_option($dirname.'_nav_dropdown_bg_color')) {		
	$custom_css .= '#header .sub-menu, #header #megaMenu ul.megaMenu > li.menu-item.ss-nav-menu-mega > ul.sub-menu-1, #header #megaMenu ul.megaMenu li.menu-item.ss-nav-menu-reg ul.sub-menu {background: '.get_option($dirname.'_nav_dropdown_bg_color').'; border-color: '.get_option($dirname.'_nav_dropdown_bg_color').';}';
}						

if(get_option($dirname.'_nav_dropdown_border_color')) {		
	$custom_css .= '#header .sub-menu, #header #megaMenu ul.megaMenu > li.menu-item.ss-nav-menu-mega > ul.sub-menu-1, #header #megaMenu ul.megaMenu li.menu-item.ss-nav-menu-reg ul.sub-menu {border-top-color: '.get_option($dirname.'_nav_dropdown_border_color').';}';
}


// Info	Bar

if(get_option($dirname.'_info_bar_bg_color')) {		
	$custom_css .= '#info-bar {background: '.get_option($dirname.'_info_bar_bg_color').';}';
}	

if(get_option($dirname.'_info_bar_bottom_border_color')) {		
	$custom_css .= '#info-bar {border-color: '.get_option($dirname.'_info_bar_bottom_border_color').';}';
}

		
// Body

if(get_option($dirname.'_body_font')) {		
	$custom_css .= 'body {font-family: "'.get_option($dirname.'_body_font').'";}';
}

if(get_option($dirname.'_body_text_size')) {
	$custom_css .= 'body {font-size: '.get_option($dirname.'_body_text_size').'px;}';
}

if(get_option($dirname.'_body_text_color')) {
	$custom_css .= 'body {color: '.get_option($dirname.'_body_text_color').';} #mobile-nav .mobile-icon, html .predictive_results ul li, html .predictive_results ul li a, html .predictive_results ul li p, html .predictive_results ul li.ac_over, html .predictive_results ul li.ac_over a, html .more_result span {color: '.get_option($dirname.'_body_text_color').' !important;}';
}

if(get_option($dirname.'_body_link_color')) {
	$custom_css .= 'a {color: '.get_option($dirname.'_body_link_color').';} #mobile-nav .mobile-icon:hover, #mobile-nav .mobile-icon.chosen, #post-navigation, ul.page-numbers .page-numbers:hover, ul.page-numbers .page-numbers.current, ul.page-numbers.single-nav > span.page-numbers, html .woocommerce-page div.product .summary [itemprop="offers"] .price, html .woocommerce-page ul.products li.product .button, html .bt_search, html .predictive_results ul li .rs_name, html .predictive_results ul li.ac_over a .rs_name, html .predictive_results ul li .more_result a, html .rs_rs_price {color: '.get_option($dirname.'_body_link_color').' !important;}
	::selection {background-color: '.get_option($dirname.'_body_link_color').';}
	::-moz-selection {background-color: '.get_option($dirname.'_body_link_color').';}
	ul.page-numbers .page-numbers:hover, ul.page-numbers .page-numbers.current, ul.page-numbers.single-nav > span.page-numbers {border-color: '.get_option($dirname.'_body_link_color').' !important;}';
}

if(get_option($dirname.'_body_link_hover_color')) {
	$custom_css .= 'a:hover {color: '.get_option($dirname.'_body_link_hover_color').';} html .woocommerce-page ul.products li.product:hover .button, html .woocommerce-page ul.products li.product .add_to_cart_button.added, html .predictive_results ul li html .rs_name:hover, html .predictive_results ul li.ac_over a .rs_name, html .predictive_results ul li .more_result a:hover {color: '.get_option($dirname.'_body_link_hover_color').' !important;}';
}

if(get_option($dirname.'_body_bg_color')) {
	$custom_css .= 'body, td {background-color: '.get_option($dirname.'_body_bg_color').';}';
}


// Sidebar

if(get_option($dirname.'_sidebar_bg_color')) {		
	$custom_css .= '#sidebar {background: '.get_option($dirname.'_sidebar_bg_color').';}';
}

if(get_option($dirname.'_sidebar_border_color')) {		
	$custom_css .= '#sidebar {border-color: '.get_option($dirname.'_sidebar_border_color').' !important;}';
}
	

// General Headings

if(get_option($dirname.'_heading_font')) {		
	$custom_css .= 'h1, h2, h3, h4, h5, h6 {font-family: "'.get_option($dirname.'_heading_font').'";}';
}

if(get_option($dirname.'_heading_size')) {
	$custom_css .= 'h1, h2, h3, h4, h5, h6 {font-size: '.get_option($dirname.'_heading_size').'px;}';
}

if(get_option($dirname.'_heading_color')) {
	$custom_css .= 'h1, h2, h3, h4, h5, h6 {color: '.get_option($dirname.'_heading_color').';} html .ajax_search_content_title {color: '.get_option($dirname.'_heading_color').' !important;}';
}	

if(get_option($dirname.'_heading_link_color')) {
	$custom_css .= 'h1 a, h2 a, h3 a, h4 a ,h5 a ,h6 a {color: '.get_option($dirname.'_heading_link_color').';}';
}	

if(get_option($dirname.'_heading_link_hover_color')) {
	$custom_css .= 'h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover {color: '.get_option($dirname.'_heading_link_hover_color').';}';
}	

if(get_option($dirname.'_heading_border_color')) {
	$custom_css .= 'h1, h2, h3, h4, h5, h6 {border-color: '.get_option($dirname.'_heading_border_color').' !important;}';
}	


// Categories

if(get_option($dirname.'_post_title_size')) {
	$custom_css .= '.post-loop .post-text h2 {font-size: '.get_option($dirname.'_post_title_size').'px;}';
}

if(get_option($dirname.'_post_title_link_color')) {
	$custom_css .= '.post-loop .post-text h2 a, .woocommerce-page ul.products li.product h3, html .rs_rs_name {color: '.get_option($dirname.'_post_title_link_color').';}';
}

if(get_option($dirname.'_post_title_link_hover_color')) {
	$custom_css .= '.post-loop .post-text h2 a:hover {color: '.get_option($dirname.'_post_title_link_hover_color').';}';
}
		
if(get_option($dirname.'_cat_meta_text_size')) {
	$custom_css .= '.post-loop .entry-meta {font-size: '.get_option($dirname.'_cat_meta_text_size').'px;}';
}	

if(get_option($dirname.'_cat_meta_text_color')) {
	$custom_css .= '.post-loop .entry-meta {color: '.get_option($dirname.'_cat_meta_text_color').';}';
}	

if(get_option($dirname.'_cat_meta_text_size')) {
	$custom_css .= '.post-loop .entry-meta {font-size: '.get_option($dirname.'_cat_meta_text_size').'px;}';
}	

if(get_option($dirname.'_cat_meta_text_color')) {
	$custom_css .= '.post-loop .entry-meta {color: '.get_option($dirname.'_cat_meta_text_color').';}';
}	

if(get_option($dirname.'_cat_meta_link_color')) {
	$custom_css .= '.post-loop .entry-meta a {color: '.get_option($dirname.'_cat_meta_link_color').';}';
}		

if(get_option($dirname.'_cat_meta_link_hover_color')) {
	$custom_css .= '.post-loop .entry-meta a:hover {color: '.get_option($dirname.'_cat_meta_link_hover_color').';}';
}

if(get_option($dirname.'_post_bg_color')) {
	$custom_css .= '.post-loop {background: '.get_option($dirname.'_post_bg_color').';}';
}

if(get_option($dirname.'_post_border_color')) {
	$custom_css .= '.post-loop {border-color: '.get_option($dirname.'_post_border_color').';}';
}

if(get_option($dirname.'_post_padding') != "20") {
	$custom_css .= '.post-loop {padding: '.get_option($dirname.'_post_padding').'px;}';
}


// Single Post/Page

if(get_option($dirname.'_page_title_size')) {
	$custom_css .= '.entry-title {font-size: '.get_option($dirname.'_page_title_size').'px;}';
}	

if(get_option($dirname.'_page_title_color')) {
	$custom_css .= '.entry-title {color: '.get_option($dirname.'_page_title_color').';}';
}	

if(get_option($dirname.'_page_title_border_color')) {
	$custom_css .= '.entry-title {border-color: '.get_option($dirname.'_page_title_border_color').' !important;}';
}	

if(get_option($dirname.'_meta_text_size')) {
	$custom_css .= '.single-post .entry-meta {font-size: '.get_option($dirname.'_meta_text_size').'px;}';
}	

if(get_option($dirname.'_meta_text_color')) {
	$custom_css .= '.single-post .entry-meta {color: '.get_option($dirname.'_meta_text_color').';}';
}

if(get_option($dirname.'_meta_link_color')) {
	$custom_css .= '.single-post .entry-meta a {color: '.get_option($dirname.'_meta_link_color').';}';
}		

if(get_option($dirname.'_meta_link_hover_color')) {
	$custom_css .= '.single-post .entry-meta a:hover {color: '.get_option($dirname.'_meta_link_hover_color').';}';
}


// Widgets

if(get_option($dirname.'_widget_title_size')) {
	$custom_css .= '.widgettitle {font-size: '.get_option($dirname.'_widget_title_size').'px;}';
}		

if(get_option($dirname.'_widget_title_color')) {
	$custom_css .= '.widgettitle {color: '.get_option($dirname.'_widget_title_color').';}';
}	

if(get_option($dirname.'_widget_title_border_color')) {
	$custom_css .= '.widgettitle {border-color: '.get_option($dirname.'_widget_title_border_color').' !important;}';
}	

if(get_option($dirname.'_widget_text_color')) {
	$custom_css .= '.widget {color: '.get_option($dirname.'_widget_text_color').';}';
}	

if(get_option($dirname.'_widget_link_color')) {
	$custom_css .= '.widget a {color: '.get_option($dirname.'_widget_link_color').';}';
}	

if(get_option($dirname.'_widget_link_hover_color')) {
	$custom_css .= '.widget a:hover {color: '.get_option($dirname.'_widget_link_hover_color').';}';
}	
			
			
// Forms/Buttons

if(get_option($dirname.'_input_text_color')) {
	$custom_css .= 'input, textarea, select, th, td, #search, .woocommerce-page .chzn-container-single .chzn-single, .woocommerce-page .chzn-container .chzn-drop {color: '.get_option($dirname.'_input_text_color').';}';
}	

if(get_option($dirname.'_input_placeholder_text_color')) {
	$custom_css .= '::-webkit-input-placeholder
		{color: '.get_option($dirname.'_input_placeholder_text_color').';}
		:-moz-placeholder
		{color: '.get_option($dirname.'_input_placeholder_text_color').';}
		:-ms-input-placeholder
		{color: '.get_option($dirname.'_input_placeholder_text_color').';}
		:focus::-webkit-input-placeholder
		{color: '.get_option($dirname.'_input_placeholder_text_color').';}
		:focus:-moz-placeholder
		{color: '.get_option($dirname.'_input_placeholder_text_color').';}
		:focus:-ms-input-placeholder
		{color: '.get_option($dirname.'_input_placeholder_text_color').';}';
}

if(get_option($dirname.'_input_bg_color')) {
	$custom_css .= 'input, textarea, select, #search, .woocommerce-page .chzn-container-single .chzn-single, .woocommerce-page .chzn-container .chzn-drop, html .predictive_results {background-color: '.get_option($dirname.'_input_bg_color').' !important;}';
}		

if(get_option($dirname.'_input_border_color')) {
	$custom_css .= 'input, textarea, select, #search, .woocommerce-page .chzn-container-single .chzn-single, .woocommerce-page .chzn-container .chzn-drop, html .predictive_results {border-color: '.get_option($dirname.'_input_border_color').' !important;}';
}		

if(get_option($dirname.'_button_text_color')) {
	$custom_css .= 'input[type="button"], input[type="submit"], input[type="reset"], button, .button, input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover, button:hover, .button:hover {color: '.get_option($dirname.'_button_text_color').'  !important;}';
}	

if(get_option($dirname.'_button_bg_color')) {
	$custom_css .= 'input[type="button"], input[type="submit"], input[type="reset"], button, .button {background: '.get_option($dirname.'_button_bg_color').' !important;}';
}	

if(get_option($dirname.'_button_bg_hover_color')) {
	$custom_css .= 'input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover, button:hover, .button:hover {background: '.get_option($dirname.'_button_bg_hover_color').' !important;}';
}


// Footer Widgets

if(get_option($dirname.'_footer_widgets_bg_color')) {
	$custom_css .= '#footer-widgets {background: '.get_option($dirname.'_footer_widgets_bg_color').';}';
}		
	
if(get_option($dirname.'_footer_widgets_border_color')) {
	$custom_css .= '#footer-widgets {border-color: '.get_option($dirname.'_footer_widgets_border_color').';}';
}	

	
// Bottom Footer

if(get_option($dirname.'_footer_text_size')) {
	$custom_css .= '#footer-bottom {font-size: '.get_option($dirname.'_footer_text_size').'px;}';
}	

if(get_option($dirname.'_footer_text_color')) {
	$custom_css .= '#footer-bottom {color: '.get_option($dirname.'_footer_text_color').';}';
}	

if(get_option($dirname.'_footer_text_size')) {
	$custom_css .= '#footer-bottom {font-size: '.get_option($dirname.'_footer_text_size').'px;}';
}

if(get_option($dirname.'_footer_link_color')) {
	$custom_css .= '#footer-bottom a, #footer-language-list ul li, #footer-language-list ul li a {color: '.get_option($dirname.'_footer_link_color').';}';
}	

if(get_option($dirname.'_footer_link_hover_color')) {
	$custom_css .= '#footer-bottom a:hover, #footer-language-list ul li:hover, #footer-language-list ul li a:hover {color: '.get_option($dirname.'_footer_link_hover_color').';}';
}		

if(get_option($dirname.'_footer_bg_color')) {
	$custom_css .= '#footer-bottom, #footer-language-list {background: rgb('.hex2rgb(get_option($dirname.'_footer_bg_color')).'); background: rgba('.hex2rgb(get_option($dirname.'_footer_bg_color')).','.(get_option($dirname.'_footer_opacity')/100).');}';
}			

if(get_option($dirname.'_footer_border_color')) {
	$custom_css .= '#footer-bottom, #footer-language-list {border-color: '.get_option($dirname.'_footer_border_color').';}';
}	


// Filter Buttons 

if(get_option($dirname.'_filter_button_link_color')) {
	$custom_css .= '.woocommerce .filter-widgettitle, .woocommerce .widget_layered_nav ul li > a, .woocommerce .widget_layered_nav ul li a {color: '.get_option($dirname.'_filter_button_link_color').' !important;}';
}	

if(get_option($dirname.'_filter_button_link_hover_color')) {
	$custom_css .= '.woocommerce .widget_layered_nav ul li:hover > a, .woocommerce .widget_layered_nav ul li a:hover {color: '.get_option($dirname.'_filter_button_link_hover_color').' !important;}';
}	
		
if(get_option($dirname.'_filter_button_bg_color')) {
	$custom_css .= '.woocommerce .filter-widgettitle, .woocommerce .filter-widget .filter-widgettitle + * {background: '.get_option($dirname.'_filter_button_bg_color').' !important;}';
}		

if(get_option($dirname.'_filter_button_border_color')) {
	$custom_css .= '.woocommerce .filter-widgettitle, .woocommerce .filter-widget .filter-widgettitle + * {border-color: '.get_option($dirname.'_filter_button_border_color').' !important;} .woocommerce .widget_price_filter .ui-slider .ui-slider-handle {background: '.get_option($dirname.'_filter_button_border_color').' !important;}';
}	
	

if(get_option($dirname.'_filter_button_dropdown_link_hover_color')) {
	$custom_css .= '.woocommerce .widget_layered_nav ul li a {color: '.get_option($dirname.'_filter_button_dropdown_link_hover_color').' !important;}';
}	

if(get_option($dirname.'_filter_button_dropdown_bg_hover_color')) {
	$custom_css .= '.woocommerce .widget_layered_nav ul li:hover, .woocommerce .widget_layered_nav ul li:hover > a, .woocommerce .widget_layered_nav ul li a:hover, .woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content {background-color: '.get_option($dirname.'_filter_button_dropdown_bg_hover_color').' !important;}';
}	
	
// Slider

if(get_option($dirname.'_slider_buttons_bg_color')) {
	$custom_css .= '.slides-pagination a {background: '.get_option($dirname.'_slider_buttons_bg_color').';}';
}	

if(get_option($dirname.'_slider_buttons_bg_hover_color')) {
	$custom_css .= '.slides-pagination a:hover, .slides-pagination a.current {background: '.get_option($dirname.'_slider_buttons_bg_hover_color').';}';
}	
	

// Ratings

if(get_option($dirname.'_unselected_stars_color')) {
	$custom_css .= '.woocommerce .star-rating:before, .woocommerce-page p.stars:before {color: '.get_option($dirname.'_unselected_stars_color').' !important;}';
}	

if(get_option($dirname.'_selected_stars_color')) {
	$custom_css .= '.woocommerce .star-rating, .woocommerce-page p.stars a:hover:before, .woocommerce-page p.stars a:focus:before, .woocommerce-page p.stars a.active:before {color: '.get_option($dirname.'_selected_stars_color').' !important;}';
}	


// Misc

if(get_option($dirname.'_bg_color')) {
	$custom_css .= '.author-info, th, .woocommerce-page .shop_table tfoot td, mark, .tagcloud a, .woocommerce-page .quantity .plus, .woocommerce-page .quantity .minus, .woocommerce-page #payment, .woocommerce-page .order_details, .woocommerce-page .col2-set.addresses > div, .woocommerce-page.woocommerce-account #content form, ul.page-numbers .page-numbers {background: '.get_option($dirname.'_bg_color').' !important;}';
}	

if(get_option($dirname.'_border_color')) {
	$custom_css .= '.woocommerce ul.cart_list li, .woocommerce ul.product_list_widget li, .woocommerce-page div.product .product-separator, .woocommerce-page div.product .cart, .woocommerce-page #product-content, .woocommerce-page .quantity .plus, .woocommerce-page .quantity .minus, .woocommerce-page #payment, .woocommerce-page #payment ul.payment_methods, .woocommerce-page #payment div.payment_box, .woocommerce-page .order_details, .woocommerce-page .col2-set.addresses > div, .woocommerce-page.woocommerce-account #content form, .woocommerce-page ul.products li.product, ul.page-numbers .page-numbers, .meta-tags, .author-info, table, td, th, blockquote, fieldset, hr, pre, code, mark, .tagcloud a,  #comments ol.commentlist li .comment_container, html .predictive_results ul li, html .rs_result_row {border-color: '.get_option($dirname.'_border_color').' !important;} table, .woocommerce-page #payment div.payment_box {background: '.get_option($dirname.'_border_color').' !important;} .woocommerce-page #payment div.payment_box:after {border-bottom-color: '.get_option($dirname.'_border_color').' !important;}';
}


if(get_option($dirname.'_shadows')) {
	$custom_css .= 'img.wp-post-image, .post-loop, .woocommerce-page div.product div.images div.thumbnails img, .rs_rs_avatar img {box-shadow: none !important;}';
}


// Widths

if(get_option($dirname.'_max_content_width') != "1600") {
	$custom_css .= '.single #content {max-width: '.get_option($dirname.'_max_content_width').'px;}
	.single.fullwidth #content {max-width: '.(get_option($dirname.'_page_width') - get_option($dirname.'_sidebar_width')).'px;}';
}

if(get_option($dirname.'_sidebar_width') != "300") {
	$custom_css .= '#sidebar {width: '.get_option($dirname.'_sidebar_width').'px;}';		
}

if(get_option($dirname.'_max_content_width') != "1600" OR get_option($dirname.'_sidebar_width') != "300") {
	$custom_css .= '.single #content-wrapper {max-width: '.(get_option($dirname.'_max_content_width') + get_option($dirname.'_sidebar_width')).'px;}';	
}
	

// Custom Styling

if(get_option($dirname.'_custom_css')) {
	$custom_css .= stripslashes(get_option($dirname.'_custom_css'));
}

if(!empty($custom_css)) { echo '<style>'.$custom_css.'</style>'; }

?>