<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * Override this template by copying it to yourtheme/woocommerce/content-single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $product, $dirname; ?>

<?php
	/**
	 * woocommerce_before_single_product hook
	 *
	 * @hooked wc_print_messages - 10
	 */
	 do_action( 'woocommerce_before_single_product' );
?>

		
<div itemscope itemtype="http://schema.org/Product" id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
		/**
		 * woocommerce_show_product_images hook
		 *
		 * @hooked woocommerce_show_product_sale_flash - 10
		 * @hooked woocommerce_show_product_images - 20
		 */
		do_action( 'woocommerce_before_single_product_summary' );
	?>

	<div class="summary entry-summary">


		<?php woocommerce_get_template( 'single-product/title.php' ); ?>

		<?php woocommerce_get_template( 'single-product/price.php' ); ?>

		<?php woocommerce_get_template( 'single-product/short-description.php' ); ?>

		<?php woocommerce_get_template( 'single-product/meta.php' ); ?>
		
		<?php do_action('woocommerce_share'); ?>
		
		<div class="product-separator"></div>

		<?php do_action('woocommerce_'.$product->product_type.'_add_to_cart'); ?>

		
		<!-- BEGIN PRODUCT CONTENT -->
		
		<?php if(get_option($dirname.'_product_content')) { ?>
					
			<div id="product-content">
				<?php echo stripslashes(do_shortcode(get_option($dirname.'_product_content'))); ?>
			</div>
		
		<?php } ?>
		
		<!-- END PRODUCT CONTENT -->


		<!-- BEGIN PRODUCT DESCRIPTION -->

		<?php if($post->post_content) { ?>

			<div class="product-description">

				<h2><?php _e('Product Description', 'gp_lang'); ?></h2>

				<?php the_content(); ?>

			</div>

		<?php } ?>

		<!-- END PRODUCT DESCRIPTION -->


		<div class="product-description">
			<?php do_action('woocommerce_single_product_summary'); ?>
		</div>
		

		<!-- BEGIN PRODUCT DETAILS -->

		<?php $attributes = $product->has_attributes(); if(!empty($attributes)) { ?>

			<h2><?php _e('Product Details', 'gp_lang'); ?></h2>

			<?php $product->list_attributes(); ?>

		<?php } ?>

		<!-- END PRODUCT DETAILS -->


		<!-- BEGIN REVIEWS -->
		
		<?php if(comments_open() && get_option('woocommerce_enable_review_rating') == 'yes') { ?>
		
			<div class="add-review button"><span class="left"><?php comments_number(__('0 Review', 'gp_lang'), __('1 Review', 'gp_lang'), __('% Reviews', 'gp_lang')); ?></span> <?php echo $product->get_rating_html(); ?> <i class="icon-double-angle-down"></i></div>
			
		<?php } ?>	
		
		<?php comments_template(); ?>
		
		<!-- END REVIEWS -->
		

	</div><!-- .summary -->

	<?php
		/**
		 * woocommerce_after_single_product_summary hook
		 *
		 * @hooked woocommerce_output_product_data_tabs - 10
		 * @hooked woocommerce_output_related_products - 20
		 */
		do_action( 'woocommerce_after_single_product_summary' );
	?>

</div><!-- #product-<?php the_ID(); ?> -->

<?php do_action( 'woocommerce_after_single_product' ); ?>