<?php // Meta Options (WPShout.com)

require(gp_inc . 'options.php');

add_action('admin_menu', 'gp_create_meta_box');
add_action('save_post', 'gp_save_meta_data');

function gp_create_meta_box() {
	add_meta_box('gp-theme-options', __('Post Settings', 'gp_lang'), 'gp_meta_boxes', 'post', 'normal', 'core');
	add_meta_box('gp-theme-options', __('Page Settings', 'gp_lang'), 'gp_meta_boxes', 'page', 'normal', 'core');	
	add_meta_box('gp-theme-options', __('Slide Settings', 'gp_lang'), 'gp_meta_boxes', 'slide', 'normal', 'core');	
	add_meta_box('gp-theme-options', __('Product Settings', 'gp_lang'), 'gp_meta_boxes', 'product', 'normal', 'core');		
}


/////////////////////////////////////// Post Settings ///////////////////////////////////////


function gp_post_meta_boxes() {
	
	global $dirname;
	
	$meta_boxes = array(

	'thumbnail_settings' => array('name' => 'thumbnail_settings', 'type' => 'open', 'desc' => __('Controls the thumbnails used on category, archive, tag and search result pages.', 'gp_lang'), 'title' => __('Thumbnail Settings', 'gp_lang')),
	
		'_'.$dirname.'_thumbnail_width' => array('name' => '_'.$dirname.'_thumbnail_width', 'title' => __('Thumbnail Width', 'gp_lang'), 'desc' => __('The width to crop the thumbnail to.', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),	
				
		'_'.$dirname.'_thumbnail_height' => array('name' => '_'.$dirname.'_thumbnail_height', 'title' => __('Thumbnail Height', 'gp_lang'), 'desc' => __('The height to crop the thumbnail to (set to 0 to have a proportionate height).', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),
		
	array('type' => 'separator', 'name' => ''),		
	array('type' => 'close', 'name' => ''),

	'image_settings' => array('name' => 'image_settings', 'type' => 'open', 'desc' => __('Controls the featured image displayed within this page.', 'gp_lang'), 'title' => __('Image Settings', 'gp_lang')),

		'_'.$dirname.'_show_image' => array('name' => '_'.$dirname.'_show_image', 'title' => __('Featured Image', 'gp_lang'), 'desc' => __('Choose whether to display the featured image within your page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),	
		
		'_'.$dirname.'_image_width' => array('name' => '_'.$dirname.'_image_width', 'title' => __('Image Width', 'gp_lang'), 'desc' => __('The width to crop the image to.', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),
				
		'_'.$dirname.'_image_height' => array('name' => '_'.$dirname.'_image_height', 'title' => __('Image Height', 'gp_lang'), 'desc' => __('The height to crop the image to (set to 0 to have a proportionate height).', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),

		'_'.$dirname.'_hard_crop' => array('name' => '_'.$dirname.'_hard_crop', 'title' => __('Hard Crop', 'gp_lang'), 'desc' => __('Choose whether the image is hard cropped exactly to the dimensions specified to the left.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Enable' => __('Enable', 'gp_lang'), 'Disable' => __('Disable', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),

		array('type' => 'divider', 'name' => ''),	
				
		'_'.$dirname.'_image_wrap' => array('name' => '_'.$dirname.'_image_wrap', 'title' => __('Image Wrap', 'gp_lang'), 'desc' => __('Choose whether the page content wraps around the featured image.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Enable' => __('Enable', 'gp_lang'), 'Disable' => __('Disable', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
						
	array('type' => 'separator', 'name' => ''),		
	array('type' => 'close', 'name' => ''),
		
	'format_settings' => array('name' => 'format_settings', 'type' => 'open', 'desc' => __('General formatting settings.', 'gp_lang'), 'title' => __('Format Settings', 'gp_lang')),

		'_'.$dirname.'_sidebar' => array('name' => '_'.$dirname.'_sidebar', 'title' => __('Sidebar', 'gp_lang'), 'desc' => __('Choose which sidebar area to display on this page.', 'gp_lang'), 'std' => 'Default', 'type' => 'select_sidebar'),

		'_'.$dirname.'_layout' => array('name' => '_'.$dirname.'_layout', 'title' => __('Layout', 'gp_lang'), 'desc' => __('Choose the layout for this page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'sb-left' => __('Sidebar Left', 'gp_lang'), 'sb-right' => __('Sidebar Right', 'gp_lang'), 'fullwidth' => __('Fullwidth', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
						
		'_'.$dirname.'_title' => array('name' => '_'.$dirname.'_title', 'title' => __('Title', 'gp_lang'), 'desc' => __('Choose whether to display the title on this page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
				
		'_'.$dirname.'_custom_stylesheet' => array('name' => '_'.$dirname.'_custom_stylesheet', 'title' => __('Custom Stylesheet URL', 'gp_lang'), 'desc' => __('Enter the relative URL to your custom stylesheet e.g. <code>lib/css/custom-style.css</code>.', 'gp_lang'), 'size' => '', 'std' => '', 'type' => 'text', 'details' => ''),
						
	array('type' => 'close', 'name' => ''),	
	array('type' => 'clear', 'name' => ''),
	
	);

	return apply_filters('_'.$dirname.'_post_meta_boxes', $meta_boxes);
}


/////////////////////////////////////// Page Settings ///////////////////////////////////////


function gp_page_meta_boxes() {
	
	global $dirname;

	$meta_boxes = array(
	
	'thumbnail_settings' => array('name' => 'thumbnail_settings', 'type' => 'open', 'desc' => __('Controls the thumbnails used on category, archive, tag and search result pages.', 'gp_lang'), 'title' => __('Thumbnail Settings', 'gp_lang')),
		
		'_'.$dirname.'_thumbnail_width' => array('name' => '_'.$dirname.'_thumbnail_width', 'title' => __('Thumbnail Width', 'gp_lang'), 'desc' => __('The width to crop the thumbnail to.', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),	
				
		'_'.$dirname.'_thumbnail_height' => array('name' => '_'.$dirname.'_thumbnail_height', 'title' => __('Thumbnail Height', 'gp_lang'), 'desc' => __('The height to crop the thumbnail to (set to 0 to have a proportionate height).', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),	

	array('type' => 'separator', 'name' => ''),		
	array('type' => 'close', 'name' => ''),

	'image_settings' => array('name' => 'image_settings', 'type' => 'open', 'desc' => __('Controls the featured image displayed within this page.', 'gp_lang'), 'title' => __('Image Settings', 'gp_lang')),

		'_'.$dirname.'_show_image' => array('name' => '_'.$dirname.'_show_image', 'title' => __('Featured Image', 'gp_lang'), 'desc' => __('Choose whether to display the featured image within your page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),	
		
		'_'.$dirname.'_image_width' => array('name' => '_'.$dirname.'_image_width', 'title' => __('Image Width', 'gp_lang'), 'desc' => __('The width to crop the image to.', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),
				
		'_'.$dirname.'_image_height' => array('name' => '_'.$dirname.'_image_height', 'title' => __('Image Height', 'gp_lang'), 'desc' => __('The height to crop the image to (set to 0 to have a proportionate height).', 'gp_lang'), 'std' => '', 'type' => 'text', 'size' => 'small', 'details' => 'px'),

		'_'.$dirname.'_hard_crop' => array('name' => '_'.$dirname.'_hard_crop', 'title' => __('Hard Crop', 'gp_lang'), 'desc' => __('Choose whether the image is hard cropped exactly to the dimensions specified to the left.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Enable' => __('Enable', 'gp_lang'), 'Disable' => __('Disable', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
		
		array('type' => 'divider', 'name' => ''),
		
		'_'.$dirname.'_image_wrap' => array('name' => '_'.$dirname.'_image_wrap', 'title' => __('Image Wrap', 'gp_lang'), 'desc' => __('Choose whether the page content wraps around the featured image.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Enable' => __('Enable', 'gp_lang'), 'Disable' => __('Disable', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
								
	array('type' => 'separator', 'name' => ''),		
	array('type' => 'close', 'name' => ''),
		
	'format_settings' => array('name' => 'format_settings', 'type' => 'open', 'desc' => __('General formatting settings.', 'gp_lang'), 'title' => __('Format Settings', 'gp_lang')),

		'_'.$dirname.'_sidebar' => array('name' => '_'.$dirname.'_sidebar', 'title' => __('Sidebar', 'gp_lang'), 'desc' => __('Choose which sidebar area to display on this page.', 'gp_lang'), 'std' => 'Default', 'type' => 'select_sidebar'),

		'_'.$dirname.'_layout' => array('name' => '_'.$dirname.'_layout', 'title' => __('Layout', 'gp_lang'), 'desc' => __('Choose the layout for this page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'sb-left' => __('Sidebar Left', 'gp_lang'), 'sb-right' => __('Sidebar Right', 'gp_lang'), 'fullwidth' => __('Fullwidth', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
				
		'_'.$dirname.'_title' => array('name' => '_'.$dirname.'_title', 'title' => __('Title', 'gp_lang'), 'desc' => __('Choose whether to display the title on this page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
		
		'_'.$dirname.'_custom_stylesheet' => array('name' => '_'.$dirname.'_custom_stylesheet', 'title' => __('Custom Stylesheet URL', 'gp_lang'), 'desc' => __('Enter the relative URL to your custom stylesheet e.g. <code>lib/css/custom-style.css</code>.', 'gp_lang'), 'size' => '', 'std' => '', 'details' => '', 'type' => 'text'),

	array('type' => 'separator', 'name' => ''),		
	array('type' => 'close', 'name' => ''),

	'homepage_settings' => array('name' => 'homepage_settings', 'type' => 'open', 'desc' => __('Controls the slider on the homepage.', 'gp_lang'), 'title' => __('Homepage Settings', 'gp_lang')),

		'_'.$dirname.'_post_types' => array('name' => '_'.$dirname.'_post_types', 'title' => __('Post Types', 'gp_lang'), 'desc' => __('The post types to display (separate each post type with a comma).', 'gp_lang'), 'size' => '', 'std' => 'slide', 'details' => '', 'type' => 'text'),

		'_'.$dirname.'_cats' => array('name' => '_'.$dirname.'_cats', 'title' => __('Category Slugs', 'gp_lang'), 'desc' => __('The categories to display (separate each category slug with a comma).', 'gp_lang'), 'size' => '', 'std' => '', 'details' => '', 'type' => 'text'),

		'_'.$dirname.'_ids' => array('name' => '_'.$dirname.'_ids', 'title' => __('Post/Page IDs', 'gp_lang'), 'desc' => __('The individual post/page IDs to display (separating each ID with a comma).', 'gp_lang'), 'size' => '', 'std' => '', 'details' => '', 'type' => 'text'),

		'_'.$dirname.'_per_page' => array('name' => '_'.$dirname.'_per_page', 'title' => __('Number of Slides', 'gp_lang'), 'desc' => __('The number of slides (set to -1 to display all items).', 'gp_lang'), 'size' => 'small', 'std' => '-1', 'details' => '', 'type' => 'text'),

		array('type' => 'divider', 'name' => ''),	
		
		'_'.$dirname.'_offset' => array('name' => '_'.$dirname.'_offset', 'title' => __('Offset', 'gp_lang'), 'desc' => __('Choose how many items to offset by.', 'gp_lang'), 'size' => 'small', 'std' => '0', 'details' => '', 'type' => 'text'),
		
		'_'.$dirname.'_timeout' => array('name' => '_'.$dirname.'_timeout', 'title' => __('Slider Speed', 'gp_lang'), 'desc' => __('The number of seconds between each slide transition (set to 0 to disable automatic rotation).', 'gp_lang'), 'size' => 'small', 'std' => '4', 'details' => '', 'type' => 'text'),

		'_'.$dirname.'_buttons' => array('name' => '_'.$dirname.'_buttons', 'title' => __('Buttons', 'gp_lang'), 'desc' => __('Choose whether to show the slider buttons.', 'gp_lang'), 'options' => array('Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Hide', 'type' => 'select'),	
										
		'_'.$dirname.'_orderby' => array('name' => '_'.$dirname.'_orderby', 'title' => __('Order By', 'gp_lang'), 'desc' => __('Choose the order criteria for the posts.', 'gp_lang'), 'options' => array('menu_order' => __('Custom Order', 'gp_lang'), 'date' => __('Date', 'gp_lang'), 'title' => __('Title', 'gp_lang'), 'rand' => __('Random', 'gp_lang')), 'std' => 'menu_order', 'type' => 'select'),	
		
		array('type' => 'divider', 'name' => ''),	
		
		'_'.$dirname.'_order' => array('name' => '_'.$dirname.'_order', 'title' => __('Order', 'gp_lang'), 'desc' => __('Choose how to order the posts.', 'gp_lang'), 'options' => array('asc' => __('Ascending', 'gp_lang'), 'desc' => __('Descending', 'gp_lang')), 'std' => 'asc', 'type' => 'select'),
		
		'_'.$dirname.'_content_display' => array('name' => '_'.$dirname.'_content_display', 'title' => __('Content Display', 'gp_lang'), 'desc' => __('Choose whether to display the full content or an excerpt.', 'gp_lang'), 'options' => array('Excerpt' => __('Excerpt', 'gp_lang'), 'Full Content' => __('Full Content', 'gp_lang')), 'std' => 'Excerpt', 'type' => 'select'),

		'_'.$dirname.'_excerpt_length' => array('name' => '_'.$dirname.'_excerpt_length', 'title' => __('Excerpt Length', 'gp_lang'), 'desc' => __('The number of characters in the excerpt text.', 'gp_lang'), 'size' => 'small', 'std' => '100', 'details' => '', 'type' => 
		'text'),

		'_'.$dirname.'_caption_title' => array('name' => '_'.$dirname.'_caption_title', 'title' => __('Caption Title', 'gp_lang'), 'desc' => __('Choose whether to display the caption titles.', 'gp_lang'), 'options' => array('Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Show', 'type' => 'select'),

		array('type' => 'divider', 'name' => ''),	
		
		'_'.$dirname.'_title_length' => array('name' => '_'.$dirname.'_title_length', 'title' => __('Title Length', 'gp_lang'), 'desc' => __('The number of characters in the title.', 'gp_lang'), 'size' => 'small', 'std' => '500', 'details' => '', 'type' => 
		'text'),		
								
	array('type' => 'close', 'name' => ''),	
	array('type' => 'clear', 'name' => ''),
	
	);

	return apply_filters('_'.$dirname.'_page_meta_boxes', $meta_boxes);
}


/////////////////////////////////////// Slide Settings ///////////////////////////////////////

	 
function gp_slide_meta_boxes() {
	
	global $dirname;
	
	$meta_boxes = array(

	'format_settings' => array('name' => 'format_settings', 'type' => 'open', 'desc' => __('General product slide settings.', 'gp_lang'), 'title' => __('Format Settings', 'gp_lang')),
		
		'_'.$dirname.'_custom_url' => array('name' => '_'.$dirname.'_custom_url', 'title' => __('Slide URL', 'gp_lang'), 'desc' => __('Enter the URL you want your slide to link to.', 'gp_lang'), 'std' => '', 'details' => '', 'size' => '', 'type' => 'text'),

		'_'.$dirname.'_link_type' => array('name' => '_'.$dirname.'_link_type', 'title' => __('Link Type', 'gp_lang'), 'desc' => __('Choose how your slide links to the URL you provided to the left.', 'gp_lang'), 'options' => array('Page' => __('Page', 'gp_lang'), 'Lightbox' => __('Lightbox', 'gp_lang'), 'None' => __('None', 'gp_lang')), 'std' => 'Page', 'type' => 'select'),

	array('type' => 'separator', 'name' => ''),		
	array('type' => 'close', 'name' => ''),
	
	'caption_settings' => array('name' => 'caption_settings', 'type' => 'open', 'desc' => __('The caption settings for this slide.', 'gp_lang'),  'title' => __('Caption Settings', 'gp_lang')),

		'_'.$dirname.'_title' => array('name' => '_'.$dirname.'_title', 'title' => __('Title', 'gp_lang'), 'desc' => __('Choose whether to display the caption title.', 'gp_lang'), 'options' => array('Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Show', 'type' => 'select'),

		'_'.$dirname.'_caption_position' => array('name' => '_'.$dirname.'_caption_position', 'title' => __('Caption Position', 'gp_lang'), 'desc' => __('Choose the position of the caption.', 'gp_lang'), 'options' => array('caption-topleft' => __('Top Left', 'gp_lang'), 'caption-topleft' => __('Top Left', 'gp_lang'), 'caption-topright' => __('Top Right', 'gp_lang'), 'caption-bottomleft' => __('Bottom Left', 'gp_lang'), 'caption-bottomright' => __('Bottom Right', 'gp_lang'), 'caption-topcenter' => __('Top Center', 'gp_lang'), 'caption-center' => __('Center', 'gp_lang'), 'caption-bottomcenter' => __('Bottom Center', 'gp_lang')), 'std' => 'caption-center', 'type' => 'select'),

		'_'.$dirname.'_caption_style' => array('name' => '_'.$dirname.'_caption_style', 'title' => __('Caption Style', 'gp_lang'), 'desc' => __('Choose the tsyle of the caption.', 'gp_lang'), 'options' => array('caption-dark' => __('Dark', 'gp_lang'), 'caption-light' => __('Light', 'gp_lang')), 'std' => 'caption-dark', 'type' => 'select'),
															
	array('type' => 'close', 'name' => ''),
	array('type' => 'clear', 'name' => ''),	
	
	);

	return apply_filters('_'.$dirname.'_slide_meta_boxes', $meta_boxes);
}


/////////////////////////////////////// Product Settings ///////////////////////////////////////
	 
function gp_product_meta_boxes() {
	
	global $dirname;
	
	$meta_boxes = array(
	
	'format_settings' => array('name' => 'format_settings', 'type' => 'open', 'desc' => __('General formatting settings.', 'gp_lang'), 'title' => __('Format Settings', 'gp_lang')),
		
		'_'.$dirname.'_sidebar' => array('name' => '_'.$dirname.'_sidebar', 'title' => __('Sidebar', 'gp_lang'), 'desc' => __('Choose which sidebar area to display on this page.', 'gp_lang'), 'std' => 'default', 'type' => 'select_sidebar'),
		
		'_'.$dirname.'_layout' => array('name' => '_'.$dirname.'_layout', 'title' => __('Layout', 'gp_lang'), 'desc' => __('Choose the layout for this page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'sb-left' => __('Sidebar Left', 'gp_lang'), 'sb-right' => __('Sidebar Right', 'gp_lang'), 'fullwidth' => __('Fullwidth', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
		
		'_'.$dirname.'_breadcrumbs' => array('name' => '_'.$dirname.'_breadcrumbs', 'title' => __('Breadcrumbs', 'gp_lang'), 'desc' => __('Choose whether to display breadcrumbs on this page.', 'gp_lang'), 'options' => array('Default' => __('Default', 'gp_lang'), 'Show' => __('Show', 'gp_lang'), 'Hide' => __('Hide', 'gp_lang')), 'std' => 'Default', 'type' => 'select'),
		
		'_'.$dirname.'_custom_stylesheet' => array('name' => '_'.$dirname.'_custom_stylesheet', 'title' => __('Custom Stylesheet URL', 'gp_lang'), 'desc' => __('Enter the relative URL to your custom stylesheet e.g. <code>lib/css/custom-style.css</code>.', 'gp_lang'), 'size' => '', 'std' => '', 'details' => '', 'type' => 'text'),
		
	array('type' => 'close', 'name' => ''),	
	array('type' => 'clear', 'name' => ''),
	
	);

	return apply_filters('_'.$dirname.'_product_meta_boxes', $meta_boxes);
}


/////////////////////////////////////// Meta Fields ///////////////////////////////////////


function gp_meta_boxes() {
	global $post;
	
	if(get_post_type() == 'post') {
		$meta_boxes = gp_post_meta_boxes();	
	} elseif(get_post_type() == 'slide') {	
		$meta_boxes = gp_slide_meta_boxes();	
	} elseif(get_post_type() == 'product') {
		$meta_boxes = gp_product_meta_boxes();		
	} else {
		$meta_boxes = gp_page_meta_boxes();
	} ?>
	
	<script>

	jQuery(document).ready(function(){

		var $image_settings = jQuery("#image_settings");
		var $format_settings = jQuery("#format_settings");
		var $homepage_settings = jQuery("#homepage_settings");
				
		if (jQuery("select[name='page_template']").val() == "homepage.php") {
			$image_settings.addClass('hidden');
			$format_settings.addClass('hidden');	
			$homepage_settings.removeClass('hidden');
		} else {
			$image_settings.removeClass('hidden');
			$format_settings.removeClass('hidden');	
			$homepage_settings.addClass('hidden');
		}
		
		jQuery("select[name='page_template']").change(function() {
			
			if (jQuery(this).val() == "homepage.php") {
				$image_settings.slideUp();
				$format_settings.slideUp();
				$homepage_settings.slideDown();
			} else {	
				$image_settings.slideDown();
				$format_settings.slideDown();
				$homepage_settings.slideUp();
			}			
		});
		
	});
	</script>	
	
	<?php foreach($meta_boxes as $meta) :
	if(isset($meta['name'])) { $value = get_post_meta($post->ID, $meta['name'], true); }
	if($meta['type'] == 'text')
		get_meta_text($meta, $value);	
	elseif($meta['type'] == 'upload')
		get_meta_upload($meta, $value);		
	elseif($meta['type'] == 'textarea')
		get_meta_textarea($meta, $value);
	elseif($meta['type'] == 'select')
		get_meta_select($meta, $value);
	elseif($meta['type'] == 'select_sidebar')
		get_meta_select_sidebar($meta, $value);			
	elseif($meta['type'] == 'checkbox')
		get_meta_checkbox($meta, $value);			
	elseif($meta['type'] == 'open')
		get_meta_open($meta, $value);		
	elseif($meta['type'] == 'close')
		get_meta_close($meta, $value);
	elseif($meta['type'] == 'divider')
		get_meta_divider($meta, $value);
	elseif ($meta['type'] == 'separator')
		get_meta_separator($meta, $value);					
	elseif($meta['type'] == 'clear')
		get_meta_clear($meta, $value);
	elseif($meta['type'] == 'gallery')
		get_meta_gallery($meta, $value);
	elseif($meta['type'] == 'colorpicker')
		get_meta_colorpicker($meta, $value);				
	endforeach;
		
} function get_meta_open($args = array(), $value = false) {
extract($args); ?>
	
	<div class="meta-settings" id="<?php echo $name; ?>">
	
		<h2><?php echo $title; ?></h2>
		<div class="clear"></div>
	
		<?php if($desc) { ?><div class="meta-settings-desc"><?php echo $desc; ?></div><div class="clear"></div><?php } ?>
	
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />		
	
	
<?php } function get_meta_close($args = array(), $value = false) {
extract($args); ?>
	
	</div><div class="clear"></div>
	
	<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />		
	
	
<?php } function get_meta_divider($args = array(), $value = false) {
extract($args); ?>

	<div class="clear"></div>
	<div class="divider"></div>
	<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />		


<?php } function get_meta_separator($args = array(), $value = false) {
extract($args); ?>
	
	<div class="clear"></div>
	<div class="separator"></div>
	<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />		
	
	
<?php } function get_meta_clear($args = array(), $value = false) {
extract($args); ?>
	
	<div class="clear"></div>
	<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />		
	
	
<?php } function get_meta_text($args = array(), $value = false) {
extract($args); global $post; ?>

	<div id="meta-box-<?php echo $name; ?>" class="meta-box<?php if($size == "small") { ?> text-small<?php } ?>">
		<?php if($title) { ?><strong><?php echo $title; ?></strong><br/><?php } ?>
		<input type="text" name="<?php echo $name; ?>" id="<?php echo $name; ?>" value="<?php if($value != "") { echo esc_html($value, 1); } else { echo $std; } ?>" size="<?php if($size == "small") { ?>3<?php } else { ?>30<?php } ?>" /><?php if($details) { ?> <span><?php echo $details; ?></span><?php } ?>
		<div class="meta-box-desc"><?php echo $desc; ?></div>
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />
	</div>


<?php } function get_meta_upload($args = array(), $value = false) {
extract($args); global $post; ?>

	<div id="meta-box-<?php echo $name; ?>" class="meta-box uploader">
		<?php if($title) { ?><strong><?php echo $title; ?></strong><br/><?php } ?>
		<input type="text" name="<?php echo $name; ?>" id="<?php echo $name; ?>" class="upload" value="<?php echo esc_html($value, 1); ?>" size="30" />
		<input type="button" id="<?php echo $name; ?>_button" class="upload-image-button button" value="<?php _e('Upload', 'gp_lang'); ?>" />
		<div class="meta-box-desc"><?php echo $desc; ?></div>
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />
	</div>
	
	
<?php } function get_meta_select($args = array(), $value = false) {
extract($args); ?>
	
	<div id="meta-box-<?php echo $name; ?>" class="meta-box">
		<?php if($title) { ?><strong><?php echo $title; ?></strong><br/><?php } ?>
		<select name="<?php echo $name; ?>" id="<?php echo $name; ?>">
		<?php foreach($options as $key=>$option) : ?>
			<?php if($value != "") { ?>
				<option value="<?php echo $key; ?>" <?php if(htmlentities($value, ENT_QUOTES) == $key) echo ' selected="selected"'; ?>><?php echo $option; ?></option>
			<?php } else { ?>
				<option value="<?php echo $key; ?>" <?php if($std == $key) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
			<?php } ?>	
		<?php endforeach; ?>
		</select>
		<div class="meta-box-desc"><?php echo $desc; ?></div>
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />
	</div>


<?php } function get_meta_select_sidebar($args = array(), $value = false) {
extract($args); global $post, $wp_registered_sidebars; ?>

	<div id="meta-box-<?php echo $name; ?>" class="meta-box">
		<?php if($title) { ?><strong><?php echo $title; ?></strong><br/><?php } ?>
		<select name="<?php echo $name; ?>" id="<?php echo $name; ?>">
			<option value="Default" <?php if(htmlentities($value, ENT_QUOTES) == 'Default') echo ' selected="selected"'; ?>>Default</option>
			<?php $sidebars = $wp_registered_sidebars;
			if(is_array($sidebars) && !empty($sidebars)) { foreach($sidebars as $sidebar) { if($value != '') { ?>
				<option value="<?php echo $sidebar['id']; ?>"<?php if($value == $sidebar['id']) { echo ' selected="selected"'; } ?>><?php echo $sidebar['name']; ?></option>
			<?php } else { ?>
				<option value="<?php echo $sidebar['id']; ?>"<?php if($std == $sidebar['id']) { echo ' selected="selected"'; } ?>><?php echo $sidebar['name']; ?></option>
			<?php }}} ?>
		</select>
		<div class="meta-box-desc"><?php echo $desc; ?></div>
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />
	</div>
	
		
<?php } function get_meta_textarea($args = array(), $value = false) {
extract($args); ?>

	<div id="meta-box-<?php echo $name; ?>" class="meta-box<?php if($size == "large") { ?> text-large<?php } ?>">	
		<?php if($title) { ?><strong><?php echo $title; ?></strong><br/><?php } ?>
		<textarea name="<?php echo $name; ?>" id="<?php echo $name; ?>" cols="60" rows="4" tabindex="30"><?php echo esc_html($value, 1); ?></textarea>
		<div class="meta-box-desc"><?php echo $desc; ?></div>
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />
	</div>


<?php } function get_meta_checkbox($args = array(), $value = false) {
extract($args); ?>

	<div id="meta-box-<?php echo $name; ?>" class="meta-box">
		<?php if($title) { ?><strong><?php echo $title; ?></strong><?php } ?>
		<?php if(esc_html($value, 1)) { $checked = "checked=\"checked\""; } else { if($std === "true") { $checked = "checked=\"checked\""; } else { $checked = ""; } } ?>
		<input type="checkbox" name="<?php echo $name; ?>" id="<?php echo $name; ?>" value="false" <?php echo $checked; ?> />
		<div class="meta-box-desc"><?php echo $desc; ?></div>
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />		
	</div>
	

<?php } function get_meta_colorpicker( $args = array(), $value = false ) {
extract($args); global $wp_version; ?>

	<div id="meta-box-<?php echo $name; ?>" class="meta-box">
		<script type="text/javascript">
			jQuery(document).ready(function($){ 
				$("#<?php echo $name; ?>").wpColorPicker();
			});
		</script>
		<?php if($title) { ?><strong><?php echo $title; ?></strong><br/><?php } ?>
		<input type="text" name="<?php echo $name; ?>" id="<?php echo $name; ?>" value="<?php if($value != "") { echo $value; } else { echo $std; } ?>" />	
		<div id="<?php echo $name; ?>_picker"></div>
		<div class="meta-box-desc"><?php echo $desc; ?></div>
		<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" />
	</div>
	

<?php }

if(is_admin() && ($pagenow == "post.php" OR $pagenow == "post-new.php")) {	
	function gp_admin_scripts() {	
		wp_enqueue_style('admin', get_template_directory_uri().'/lib/admin/css/admin.css');
	}	
	add_action('admin_print_scripts', 'gp_admin_scripts');		
}

function gp_save_meta_data($post_id) {
	global $post;

	if(isset($_POST['post_type']) && 'post' == $_POST['post_type'])
		$meta_boxes = array_merge(gp_post_meta_boxes());	
	elseif(isset($_POST['post_type']) && 'slide' == $_POST['post_type'])
		$meta_boxes = array_merge(gp_slide_meta_boxes());
	elseif(isset($_POST['post_type']) && 'product' == $_POST['post_type'])
		$meta_boxes = array_merge(gp_product_meta_boxes());	
	else
		$meta_boxes = array_merge(gp_page_meta_boxes());
				
	foreach ($meta_boxes as $meta_box) :
		
		if(!isset($_POST[$meta_box['name'] . '_noncename']) OR !wp_verify_nonce($_POST[$meta_box['name'] . '_noncename'], plugin_basename(__FILE__)))
			return $post_id;
		
		if(!current_user_can('edit_post', $post_id))
			return $post_id;
					
		$data = sanitize_text_field($_POST[$meta_box['name']]);

		if(get_post_meta($post_id, $meta_box['name']) == '')
			add_post_meta($post_id, $meta_box['name'], $data, true);

		elseif($data != get_post_meta($post_id, $meta_box['name'], true))
			update_post_meta($post_id, $meta_box['name'], $data);

		elseif($data == '')
			delete_post_meta($post_id, $meta_box['name'], get_post_meta($post_id, $meta_box['name'], true));

	endforeach;
}

?>