<?php
/**
 * Single Product Image
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.3
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $woocommerce, $product, $dirname;

?>
<div class="images">

	<?php
		if ( has_post_thumbnail() ) {

			$single_image = get_option('shop_single_image_size');
			$single_image_width = $single_image['width'];
			$single_image_height = $single_image['height'];
			$single_image_crop = $single_image['crop'];
				
			$image_url = aq_resize(wp_get_attachment_url(get_post_thumbnail_id($post->ID)), $single_image_width, $single_image_height, $single_image_crop, false, false);		
			if(get_option($dirname."_retina") == "0") { $retina = aq_resize(wp_get_attachment_url(get_post_thumbnail_id($post->ID)), $single_image_width*2, $single_image_height*2, $single_image_crop, false, false); } else { $retina = ""; }
		
			$image = '<img src="'.$image_url[0].'" data-rel="'.$retina[0].'" width="'.$image_url[1].'" height="'.$image_url[2].'" alt="'.get_the_title(get_post_thumbnail_id()).'" class="attachment-shop_single wp-post-image" />';	// MODIFIED
			
			//$image       		= get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ) );
			$image_title 		= esc_attr( get_the_title( get_post_thumbnail_id() ) );
			$image_link  		= wp_get_attachment_url( get_post_thumbnail_id() );
			$attachment_count   = count( $product->get_gallery_attachment_ids() );

			if ( $attachment_count > 0 ) {
				$gallery = '[product-gallery]';
			} else {
				$gallery = '';
			}

			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<a href="%s" itemprop="image" class="woocommerce-main-image zoom" title="%s"  rel="prettyPhoto' . $gallery . '">%s</a>', $image_link, $image_title, $image ), $post->ID );

		} else {

			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<img src="%s" alt="Placeholder" />', woocommerce_placeholder_img_src() ), $post->ID );

		} ?>
		
		<?php $attachment_ids = $product->get_gallery_attachment_ids();
		if($attachment_ids) { ?>
			<div style="display: none;">
				<?php foreach($attachment_ids as $attachment_id) {
					$image = wp_get_attachment_image($attachment_id, apply_filters('single_product_large_thumbnail_size', 'shop_single'));
					echo $image;
				} ?>
			</div>
		<?php } ?>

	<?php do_action( 'woocommerce_product_thumbnails' ); ?>

</div>